Changes of Revision 47

debian.changelog Changed
x
 
1
@@ -1,3 +1,9 @@
2
+irony (0.2.8-0~kolab4) unstable; urgency=low
3
+
4
+  * renamed apache config from sitename to sitename.conf
5
+
6
+ -- Daniel Hoffend <dh@dotlan.net>  Sun, 14 Sep 2014 00:50:12 +0200
7
+
8
 irony (0.2.8-0~kolab3) unstable; urgency=low
9
 
10
   * fixed disabling site on package removal
11
debian.tar.gz/links Changed
7
 
1
@@ -1,4 +1,4 @@
2
-etc/iRony/apache.conf etc/apache2/sites-available/iRony
3
+etc/iRony/apache.conf etc/apache2/sites-available/iRony.conf
4
 etc/iRony/dav.inc.php usr/share/iRony/config/dav.inc.php
5
 etc/roundcubemail/defaults.inc.php usr/share/iRony/config/defaults.inc.php
6
 etc/roundcubemail/config.inc.php usr/share/iRony/config/config.inc.php
7
debian.tar.gz/postinst Changed
12
 
1
@@ -28,8 +28,8 @@
2
     configure)
3
         fixperms
4
         a2enmod rewrite >/dev/null 2>&1 || true
5
-        if [ -e "/etc/apache2/sites-available/iRony" -a ! -e "/etc/apache2/sites-enabled/iRony" ]; then
6
-            a2ensite iRony
7
+        if [ -e "/etc/apache2/sites-available/iRony.conf" -a ! -e "/etc/apache2/sites-enabled/iRony.conf" ]; then
8
+            a2ensite iRony.conf
9
         fi
10
         reload_apache reload
11
     ;;
12
debian.tar.gz/preinst Added
32
 
1
@@ -0,0 +1,30 @@
2
+#!/bin/sh
3
+
4
+set -e
5
+
6
+reload_apache()
7
+{
8
+    if apache2ctl configtest 2>/dev/null; then
9
+        invoke-rc.d apache2 $1 || true
10
+    else
11
+        echo "Your apache2 configuration is broken, so we're not restarting it for you."
12
+    fi
13
+}
14
+
15
+
16
+case "$1" in
17
+    upgrade|install)
18
+        # rename old apache/http sites rom sitename to sitename.conf
19
+        if [ -e /etc/apache2/sites-available/iRony -a ! -e /etc/apache2/sites-available/iRony.conf ]; then
20
+            if [ -h /etc/apache2/sites-enabled/iRony ]; then
21
+                a2dissite iRony
22
+            fi
23
+            mv /etc/apache2/sites-available/iRony /etc/apache2/sites-available/iRony.conf
24
+            a2ensite iRony.conf
25
+            reload_apache
26
+        fi
27
+    ;;
28
+esac
29
+
30
+exit 0
31
+
32
iRony.dsc Changed
10
 
1
@@ -2,7 +2,7 @@
2
 Source: irony
3
 Binary: irony
4
 Architecture: all
5
-Version: 0.2.8-0~kolab3
6
+Version: 0.2.8-0~kolab4
7
 Maintainer: Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>
8
 Uploaders: Paul Klos <kolab@klos2day.nl>
9
 Homepage: http://www.kolab.org/
10